Advanced digitizing doesn't work when coordinates are given
Description

It is currently impossible (QGIS 2.8.2) to use the new advanced digitizing tool to digitize a normal square. I'm using the following

workflow:

1. Create a new layer (shapefile or virtual layer)
2. Activate advanced digitizing

3. Create the first vertex: press x, write 0, lock with Enter, then press y, write 0, lock with Enter, click to create the vertex

4. Create the second vertex: press x, write 1, lock with Enter, then pre

ss y, write 0, lock with Enter, click to create the vertex

5. Try to create the third vertex: press x, write 1, lock with Enter, then press y, write 1, lock with Enter, click to create the vertex

The third vertex is always wrongly created at coordinates (1,0) instead of (1,1), which creates a geometry error since 2 vertices are

identical.

Associated revisions

Revision 646b445b - 2015-06-18 05:54 AM - Martin Dobias

Fix locking logic with X,Y locked and soft locks to angle (fixes #12940)

Revision beOdae19 - 2015-07-07 06:02 PM - Martin Dobias

Fix locking logic with X,Y locked and soft locks to angle (fixes #12940)

(cherry picked from commit 646b445bf799daf4bc2a09b88bc6b6f2dc51d545)

History

#1 - 2015-06-17 08:56 PM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"646b445bf799daf4bc2a09b88bc6b6f2dc51d545".
